package de.jottyfan.quickiemod.items;

import net.minecraft.item.Item;

/**
 *
 * @author jotty
 *
 */
public enum QuickieItems {
	// @formatter:off
	SPEEDPOWDER(new ItemSpeedpowder(), "speedpowder"),
	QUICKIEPOWDER(new ItemQuickiepowder(), "quickiepowder"),
	OXIDIZEDCOPPERPOWDER(new ItemOxidizedcopperpowder(), "oxidizedcopperpowder"),
	SPEEDINGOT(new ItemSpeedingot(), "speedingot"),
	QUICKIEINGOT(new ItemQuickieingot(), "quickieingot"),
	SPEEDPOWDERAXE(new ToolSpeedpowderAxe(), "speedpowderaxe"),
	SPEEDPOWDERPICKAXE(new ToolSpeedpowderPickaxe(), "speedpowderpickaxe"),
	SPEEDPOWDERSHOVEL(new ToolSpeedpowderShovel(), "speedpowdershovel"),
	SPEEDPOWDERHOE(new ToolSpeedpowderHoe(), "speedpowderhoe"),
	SPEEDPOWDERWATERHOE(new ToolSpeedpowderWaterHoe(), "speedpowderwaterhoe"),
  SPEEDPOWDERSHEARS(new ToolSpeedpowderShears(), "speedpowdershears"),
	QUICKIEPOWDERAXE(new ToolQuickiepowderAxe(), "quickiepowderaxe"),
	QUICKIEPOWDERPICKAXE(new ToolQuickiepowderPickaxe(), "quickiepowderpickaxe"),
	QUICKIEPOWDERSHOVEL(new ToolQuickiepowderShovel(), "quickiepowdershovel"),
	QUICKIEPOWDERHOE(new ToolQuickiepowderHoe(), "quickiepowderhoe"),
	QUICKIEPOWDERWATERHOE(new ToolQuickiepowderWaterHoe(), "quickiepowderwaterhoe"),
	ROTTEN_FLESH_STRIPES(new ItemRottenFleshStripes(), "rotten_flesh_stripes"),
	CARROTSTACK(new ItemCarrotstack(), "carrotstack"),
	COTTON(new ItemCotton(), "cotton"),
	COTTONSEED(new ItemCottonseed(), "cottonseed"),
	CANOLA(new ItemCanola(), "canola"),
	CANOLASEED(new ItemCanolaseed(), "canolaseed"),
	CANOLABOTTLE(new ItemCanolabottle(), "canolabottle"),
	CANOLABOTTLESTACK(new ItemCanolabottlestack(), "canolabottlestack"),
	STUB(new ItemStub(), "stub"),
	SALPETER(new ItemSalpeter(), "salpeter"),
	SULPHOR(new ItemSulphor(), "sulphor");
	// @formatter:on

	private final Item item;
	private final String name;

	private QuickieItems(Item item, String name) {
		this.item = item;
		this.name = name;
	}

	public final Item getItem() {
		return item;
	}

	public final String getName() {
		return name;
	}
}
