package de.jottyfan.quickiemod.items;

import de.jottyfan.quickiemod.items.mat.QuickieToolMaterial;
import net.minecraft.item.AxeItem;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

/**
 *
 * @author jotty
 *
 */
public class ToolQuickiepowderAxe extends ToolRangeableAxe {

	private final static QuickieToolMaterial MATERIAL = QuickieToolMaterial.of(7f, 2400, 15, 1f, QuickieItems.SPEEDINGOT.getItem());

	public ToolQuickiepowderAxe() {
		super(MATERIAL, new Item.Settings().attributeModifiers(AxeItem.createAttributeModifiers(MATERIAL, 7F, -3.1F)));
	}

	@Override
	public HarvestRange getRange(ItemStack stack) {
		// TODO: get the range from the stack
		return new HarvestRange(64, 128, 64); // trees bigger than that are too heavy for one small axe...
	}
}
