package de.jottyfan.quickiemod.items;

import de.jottyfan.quickiemod.items.mat.QuickieToolMaterial;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.item.PickaxeItem;

/**
 *
 * @author jotty
 *
 */
public class ToolSpeedpowderAxe extends ToolRangeableAxe {

	private final static QuickieToolMaterial MATERIAL = QuickieToolMaterial.of(7f, 800, 15, 1f, QuickieItems.SPEEDINGOT.getItem());

	public ToolSpeedpowderAxe() {
		super(MATERIAL, new Item.Settings().attributeModifiers(PickaxeItem.createAttributeModifiers(MATERIAL, 7f, -3.1f)));
	}

	@Override
	public HarvestRange getRange(ItemStack stack) {
		// TODO: get the range from the stack
		return new HarvestRange(32, 64, 32);
	}
}
