package de.jottyfan.quickiemod.items;

import de.jottyfan.quickiemod.items.mat.QuickieToolMaterial;
import net.minecraft.item.HoeItem;
import net.minecraft.item.Item;

/**
 *
 * @author jotty
 *
 */
public class ToolQuickiepowderHoe extends ToolRangeableHoe {

	public static final Integer DEFAULT_PLOW_RANGE = 4;
	private final static QuickieToolMaterial MATERIAL = QuickieToolMaterial.of(7f, 2400, 15, 1f, QuickieItems.SPEEDINGOT.getItem());

	public ToolQuickiepowderHoe() {
		super(MATERIAL, new Item.Settings().attributeModifiers(HoeItem.createAttributeModifiers(MATERIAL, 7F, -3.1F)), new HarvestRange(DEFAULT_PLOW_RANGE));
	}
}
